
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android复习(三)清单文件中的元素——&gt;path-permission、permission、permission-group、permission-tree / 憋错料</title>

    <meta name="description" content="Android复习(三)清单文件中的元素——&gt;path-permission、permission、permission-group、permission-tree &lt;path-permission&gt; 语法: &lt;path-permission android:path=&quot;string&quot; android:pathPrefix=&quot;string&quot; android:pathPattern=&quot;string&quot; android:permission=&quot;string&quot; android:readPermission=&quot;string&quot; android:write ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Android复习(三)清单文件中的元素——&gt;path-permission、permission、permission-group、permission-tree</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>&lt;path-permission&gt;</h1>

<dl>
<dt>语法：</dt>
</dl>

<pre>    &lt;path-permission android:path="string"
                     android:pathPrefix="string"
                     android:pathPattern="string"
                     android:permission="string"
                     android:readPermission="string"
                     android:writePermission="string" /&gt;
</pre>
<p>　</p>
<dl>
<dt>包含于：</dt>
<dd><code><a href="https://developer.android.google.cn/guide/topics/manifest/provider-element" rel="external nofollow noreferrer">&lt;provider&gt;</a></code></dd>
<dt>说明：</dt>
<dd>定义内容提供程序中特定数据子集的路径和所需权限。您可以多次指定此元素，以提供多个路径。</dd>
<dt>属性：</dt>
<dd>
<dl>
<dt><code>android:path</code></dt>
<dd>内容提供程序数据子集的完整 URI 路径。只能授予对由此路径标识的特定数据的相应权限。用于提供搜索建议内容时，必须附加有&ldquo;/search_suggest_query&rdquo;。</dd>
<dt><code>android:pathPrefix</code></dt>
<dd>内容提供程序数据子集的 URI 路径的初始部分。可以授予对路径共有此初始部分的所有数据子集的相应权限。</dd>
<dt><code>android:pathPattern</code></dt>
<dd>内容提供程序数据子集的完整 URI 路径，但可以使用以下通配符：</p>
<ul>
<li>星号（&ldquo;<code>*</code>&rdquo;）。此通配符匹配出现零次到多次的紧邻前面的字符的一个序列。</li>
<li>句点后跟星号（&ldquo;<code>.*</code>&rdquo;）。此通配符匹配零个或多个字符的任意序列。</li>
</ul>
<p>由于在从 XML 读取字符串时（在将其解析为模式之前）将&ldquo;<code>\</code>&rdquo;用作转义字符，因此您需要进行双重转义。例如，字面量&ldquo;<code>*</code>&rdquo;将编写为&ldquo;<code>\\*</code>&rdquo;，字面量&ldquo;<code>\</code>&rdquo;将编写为&ldquo;<code>\\</code>&rdquo;。这基本上与采用 Java 代码构造字符串时需要编写的内容一样。</p>
<p>如需详细了解这些类型的模式，请参阅&nbsp;<a href="https://developer.android.google.cn/reference/android/os/PatternMatcher" rel="external nofollow noreferrer">PatternMatcher</a>&nbsp;类中的&nbsp;<a href="https://developer.android.google.cn/reference/android/os/PatternMatcher#PATTERN_LITERAL" rel="external nofollow noreferrer">PATTERN_LITERAL</a>、<a href="https://developer.android.google.cn/reference/android/os/PatternMatcher#PATTERN_PREFIX" rel="external nofollow noreferrer">PATTERN_PREFIX</a>&nbsp;和&nbsp;<a href="https://developer.android.google.cn/reference/android/os/PatternMatcher#PATTERN_SIMPLE_GLOB" rel="external nofollow noreferrer">PATTERN_SIMPLE_GLOB</a>&nbsp;的说明。</p>
</dd>
<dt><code>android:permission</code></dt>
<dd>客户端要读取或写入内容提供程序的数据而必须具备的权限的名称。您可以使用此属性来方便地设置适用于读取和写入的单项权限。不过，<code>readPermission</code>&nbsp;和&nbsp;<code>writePermission</code>&nbsp;属性优先于此属性。</dd>
<dt><code>android:readPermission</code></dt>
<dd>客户端要查询内容提供程序而必须具备的权限。</dd>
<dt><code>android:writePermission</code></dt>
<dd>客户端要对由内容提供程序控制的数据进行更改而必须具备的权限。</dd>
</dl>
</dd>
<dt></dt>
<dt></dt>
<dt></dt>
</dl>
<h1>&lt;permission&gt;</h1>

<dl>
<dt>语法：</dt>
<dd></p>
<pre>&lt;permission android:description="string resource"
                android:icon="drawable resource"
                android:label="string resource"
                android:name="string"
                android:permissionGroup="string"
                android:protectionLevel=["normal" | "dangerous" |
                                         "signature" | ...] /&gt;
</pre>
<p>　　</p>
<p></dd>
<dt>包含于：</dt>
<dd><code><a href="https://developer.android.google.cn/guide/topics/manifest/manifest-element" rel="external nofollow noreferrer">&lt;manifest&gt;</a></code></dd>
<dt>说明：</dt>
<dd>声明可用于限制对此应用或其他应用的特定组件或功能的访问权限的安全权限。如需详细了解权限的工作原理，请参阅简介中的<a href="https://developer.android.google.cn/guide/topics/manifest/manifest-intro#perms" rel="external nofollow noreferrer">权限</a>部分以及<a href="https://developer.android.google.cn/guide/topics/security/security" rel="external nofollow noreferrer">安全与权限</a>文档。</dd>
<dt>属性：</dt>
<dd>
<dl>
<dt><code>android:description</code></dt>
<dd>权限的用户可读说明，比标签更长，信息更丰富。该说明可能会显示以向用户说明权限 - 例如，当系统询问用户是否向其他应用授予权限时。</p>
<p>此属性必须设置为对字符串资源的引用；与&nbsp;<code>label</code>&nbsp;属性不同，它不能是原始字符串。</p>
</dd>
<dt><code>android:icon</code></dt>
<dd>对表示权限的图标的可绘制资源的引用。</dd>
<dt><code>android:label</code></dt>
<dd>可向用户显示的权限的名称。</p>
<p>为方便起见，您可以在开发应用时将此标签直接设置为原始字符串。不过，当准备好发布应用时，应将标签设置为对字符串资源的引用，以便可以像界面中的其他字符串一样进行本地化。</p>
</dd>
<dt><code>android:name</code></dt>
<dd>权限的名称。这是将在代码中（例如，在&nbsp;<code><a href="https://developer.android.google.cn/guide/topics/manifest/uses-permission-element" rel="external nofollow noreferrer">&lt;uses-permission&gt;</a></code>&nbsp;元素和应用组件的&nbsp;<code>permission</code>&nbsp;属性中）用于引用权限的名称。</p>
<p><strong>注意</strong>：系统不允许多个软件包声明具有相同名称的权限，除非所有软件包都使用相同的证书进行签名。如果某个软件包声明了一个权限，则系统不允许用户安装具有相同权限名称的其他软件包，除非这些软件包使用与第一个软件包相同的证书进行签名。为了避免命名冲突，我们建议为自定义权限使用反向域式命名，例如&nbsp;<code>com.example.myapp.ENGAGE_HYPERSPACE</code>。</p>
</dd>
<dt><code>android:permissionGroup</code></dt>
<dd>将此权限分配给一个组。此属性的值是该组的名称，必须使用此应用或其他应用中的&nbsp;<code><a href="https://developer.android.google.cn/guide/topics/manifest/permission-group-element" rel="external nofollow noreferrer">&lt;permission-group&gt;</a></code>&nbsp;元素声明。如果未设置此属性，则此权限不会属于某个组。</dd>
<dt><code>android:protectionLevel</code></dt>
<dd>
<br />说明权限中隐含的潜在风险，并指示系统在确定是否将权限授予请求授权的应用时应遵循的流程。</p>
<p>每个保护级别都包含基本权限类型以及零个或多个标记。例如，<code>"dangerous"</code>&nbsp;保护级别没有标记。相反，保护级别&nbsp;<code>"signature|privileged"</code>&nbsp;是&nbsp;<code>"signature"</code>&nbsp;基本权限类型和&nbsp;<code>"privileged"</code>&nbsp;标记的组合。</p>
<p>下表列出了所有基本权限类型。如需查看标记列表，请参阅&nbsp;<code><a href="https://developer.android.google.cn/reference/android/R.attr#protectionLevel" rel="external nofollow noreferrer">protectionLevel</a></code>。</p>
<table>
<tbody>
<tr>
<th>值</th>
<th>含义</th>
</tr>
<tr>
<td>&ldquo;<code>normal</code>&rdquo;</td>
<td>默认值。具有较低风险的权限，此类权限允许请求授权的应用访问隔离的应用级功能，对其他应用、系统或用户的风险非常小。系统会自动向在安装时请求授权的应用授予此类权限，无需征得用户的明确许可（但用户始终可以选择在安装之前查看这些权限）。</td>
</tr>
<tr>
<td>&ldquo;<code>dangerous</code>&rdquo;</td>
<td>具有较高风险的权限，此类权限允许请求授权的应用访问用户私人数据或获取可对用户造成不利影响的设备控制权。由于此类权限会带来潜在风险，因此系统可能不会自动向请求授权的应用授予此类权限。例如，应用请求的任何危险权限都可能会向用户显示并且获得确认才会继续执行操作，或者系统会采取一些其他方法来避免用户自动允许使用此类功能。</td>
</tr>
<tr>
<td>&ldquo;<code>signature</code>&rdquo;</td>
<td>只有在请求授权的应用使用与声明权限的应用相同的证书进行签名时系统才会授予的权限。如果证书匹配，则系统会在不通知用户或征得用户明确许可的情况下自动授予权限。</td>
</tr>
<tr>
<td>&ldquo;<code>signatureOrSystem</code>&rdquo;</td>
<td>
<br /><code>"signature|privileged"</code>&nbsp;的旧同义词。在 API 级别 23 中已弃用。</p>
<p>系统仅向位于 Android 系统映像的专用文件夹中的应用或使用与声明权限的应用相同的证书进行签名的应用授予的权限。不要使用此选项，因为&nbsp;<code>signature</code>&nbsp;保护级别应足以满足大多数需求，无论应用安装在何处，该保护级别都能正常发挥作用。&ldquo;<code>signatureOrSystem</code>&rdquo;权限适用于以下特殊情况：多个供应商将应用内置到一个系统映像中，并且需要明确共享特定功能，因为这些功能是一起构建的。</p>
</td>
</tr>
</tbody>
</table>
<p></dd>
</dl>
</dd>
<dt></dt>
<dt></dt>
</dl>
<h1>&lt;permission-group&gt;</h1>

<dl>
<dt>语法：</dt>
<dd></p>
<pre>&lt;permission-group android:description="string resource"
                      android:icon="drawable resource"
                      android:label="string resource"
                      android:name="string" /&gt;
</pre>
<p>　　</p>
</dd>
<dt>包含于：</dt>
<dd><code><a href="https://developer.android.google.cn/guide/topics/manifest/manifest-element" rel="external nofollow noreferrer">&lt;manifest&gt;</a></code></dd>
<dt>说明：</dt>
<dd>声明相关权限的逻辑分组的名称。各个权限通过&nbsp;<code><a href="https://developer.android.google.cn/guide/topics/manifest/permission-element" rel="external nofollow noreferrer">&lt;permission&gt;</a></code>&nbsp;元素的&nbsp;<code>permissionGroup</code>&nbsp;属性加入权限组中。权限组中的成员一起显示在界面中。</p>
<p>请注意，此元素并不声明权限本身，而只声明可以放置权限的类别。如需了解如何声明权限以及将权限分配到权限组中，请参阅&nbsp;<code><a href="https://developer.android.google.cn/guide/topics/manifest/permission-element" rel="external nofollow noreferrer">&lt;permission&gt;</a></code>&nbsp;元素。</p>
</dd>
<dt>属性：</dt>
<dd>
<dl>
<dt><code>android:description</code></dt>
<dd>描述权限组的用户可读文本。文本应比标签更长且更具说明性。此属性必须设置为对字符串资源的引用。与&nbsp;<code>label</code>&nbsp;属性不同，它不能是原始字符串。</dd>
<dt><code>android:icon</code></dt>
<dd>表示权限的图标。此属性必须设置为对包含图片定义的可绘制资源的引用。</dd>
<dt><code>android:label</code></dt>
<dd>权限组的用户可读名称。为方便起见，您可以在开发应用时将此标签直接设置为原始字符串。 不过，当准备好发布应用时，应将标签设置为对字符串资源的引用，以便可以像界面中的其他字符串一样进行本地化。</dd>
<dt><code>android:name</code></dt>
<dd>权限组的名称。这是可以分配给&nbsp;<code><a href="https://developer.android.google.cn/guide/topics/manifest/permission-element" rel="external nofollow noreferrer">&lt;permission&gt;</a></code>&nbsp;元素的&nbsp;<code><a href="https://developer.android.google.cn/guide/topics/manifest/permission-element#pgroup" rel="external nofollow noreferrer">&lt;permissionGroup&gt;</a></code>&nbsp;属性的名称。</dd>
</dl>
</dd>
<dt></dt>
<dt></dt>
</dl>
<h1>&lt;permission-tree&gt;</h1>

<dl>
<dt>语法：</dt>
<dd></p>
<pre>&lt;permission-tree android:icon="drawable resource"
                     android:label="string resource" ]
                     android:name="string" /&gt;
</pre>
<p>　　</p>
</dd>
<dt>包含于：</dt>
<dd><code><a href="https://developer.android.google.cn/guide/topics/manifest/manifest-element" rel="external nofollow noreferrer">&lt;manifest&gt;</a></code></dd>
<dt>说明：</dt>
<dd>声明权限树的基名。应用拥有树中所有名称的所有权。它可以通过调用&nbsp;<code><a href="https://developer.android.google.cn/reference/android/content/pm/PackageManager#addPermission(android.content.pm.PermissionInfo)" rel="external nofollow noreferrer">PackageManager.addPermission()</a></code><code></code>&nbsp;动态地向树中添加新权限。树中的名称由句点（&ldquo;<code>.</code>&rdquo;）分隔。例如，如果基名为&nbsp;<code>com.example.project.taxes</code>，则可能会添加如下权限：</p>
<p><code>com.example.project.taxes.CALCULATE</code><br /><code>com.example.project.taxes.deductions.MAKE_SOME_UP</code><br /><code>com.example.project.taxes.deductions.EXAGGERATE</code></p>
<p>请注意，此元素并不声明权限本身，而只声明可将更多权限放入其中的命名空间。如需了解如何声明权限，请参阅&nbsp;<code><a href="https://developer.android.google.cn/guide/topics/manifest/permission-element" rel="external nofollow noreferrer">&lt;permission&gt;</a></code>&nbsp;元素。</p>
</dd>
<dt>属性：</dt>
<dd>
<dl>
<dt><code>android:icon</code></dt>
<dd>一个表示树中所有权限的图标。必须将此属性设为对包含图片定义的可绘制资源的引用。</dd>
<dt><code>android:label</code></dt>
<dd>组的用户可读名称。为方便起见，可直接将标签设为原始字符串，以便进行快速粗略的编程。不过，当准备好发布应用时，应将标签设为对字符串资源的引用，以便可以像界面中的其他字符串一样进行本地化。</dd>
<dt><code>android:name</code></dt>
<dd>位于权限树底部的名称。它充当树中所有权限名称的前缀。应使用 Java 样式的范围限定机制来确保名称的唯一性。名称的路径中必须包含两个以上由句点分隔的段。例如，可以使用&nbsp;<code>com.example.base</code>，但不能使用&nbsp;<code>com.example</code>。</dd>
</dl>
</dd>
<dt></dt>
</dl>

<p>原文地址：https://www.cnblogs.com/developer-wang/p/12626524.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 18:31:34 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e5%ae%89%e8%a3%85/" title="安装">安装</a>, <a href="https://www.biecuoliao.com/tag/%e8%af%81%e4%b9%a6/" title="证书">证书</a>, <a href="https://www.biecuoliao.com/tag/%e7%bc%96%e7%a8%8b/" title="编程">编程</a>, <a href="https://www.biecuoliao.com/tag/%e8%b5%84%e6%ba%90/" title="资源">资源</a>, <a href="https://www.biecuoliao.com/tag/%e5%91%bd%e5%90%8d%e7%a9%ba%e9%97%b4/" title="命名空间">命名空间</a>, <a href="https://www.biecuoliao.com/tag/sharp/" title="sharp">sharp</a>, <a href="https://www.biecuoliao.com/tag/%e5%ad%97%e7%ac%a6%e4%b8%b2/" title="字符串">字符串</a>, <a href="https://www.biecuoliao.com/tag/%e6%9e%84%e9%80%a0/" title="构造">构造</a>, <a href="https://www.biecuoliao.com/tag/some/" title="some">some</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Android复习(三)清单文件中的元素——&gt;path-permission、permission、permission-group、permission-tree的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEYjXQM.html" rel="bookmark">android studio从布局文件中提取style</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				写一个复杂的布局文件:当快写完时,发现已经快1000行代码啦,虽然有空格,但是布局也显得太庞大啦,无意间发现android studio从布局文件中提取style的方法,很是方便. 首先在布局文件中正常编写View的属性,然后点击右键打开菜单,依次选择Refactor -&gt; Extract -&gt; Style,如图所示: 其次,在弹出的提取style对话框中,选择所需要的属性,如图所示: 最后,为style命名,点击ok,然后就可以在style.xml文件中看到这个style了,如图所示: 就这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4p8X6w4.html" rel="bookmark">Tomcat&sol;conf&sol;server&period;xml文件中docBase和path的说明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Tomcat的项目部署方式有以下三种: 1.直接把项目复制到Tomcat安装目录的webapps目录中,这是最简单的一种Tomcat项目部署的方法.2.在tomcat安装目录中有一个conf文件夹,打开此文件夹,其中包含配置文件server.xml,打开配置文件,并在&lt;host&gt;和&lt;/host&gt;之间插入如下语句.&lt;Context path=&quot;/xxxxxx&quot; docBase=&quot;xxxxxx&quot; debug=&quot;0&quot; pr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/VMGAkZ3.html" rel="bookmark">第三十九讲：Android之AndroidManifest&period;xml文件中注册权限</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				积土而为山,积水而为海.--&lt;荀子·儒效&gt; 本讲内容:android权限详细 1 访问登记属性 android.permission.ACCESS_CHECKIN_PROPERTIES ,读取或写入登记check-in数据库属性表的权限 2 获取错略位置 android.permission.ACCESS_COARSE_LOCATION,通过WiFi或移动基站的方式获取用户错略的经纬度信息,定位精度大概误差在30~1500米 3 获取精确位置 android.permission.ACCESS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6VZKrM.html" rel="bookmark">&lbrack;android&rsqb;清单文件中MAIN与LAUNCHER的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MAIN 和 LAUNCHER,之前一直不注意这两个有区别,写程序的时候都放到一个filter中,前两天面试问到了,总结一下: MAIN指定了程序入口地址. LAUNCHER是程序在手机桌面上的图标. 如果只设置了MAIN,没有设置LAUNCHER,则程序可以被安装到手机,但是在桌面看不到APP的图标,所以也就无法启动APP. 如果只设置了LAUNCHER,没有设置MAIN,则程序不知道从哪个Activity启动,所以也就不会在桌面显示图标. 如果给多个Activity设置了MAIN和LAUNC			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWyDjb3.html" rel="bookmark">&lpar;备忘&rpar;android清单文件中&amp;lt&semi;meta-data&amp;gt&semi;标签&comma;以及&amp;lt&semi;intent-filter&amp;gt&semi;下的&amp;lt&semi;data&amp;gt&semi;标签及其他标签</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.metadata可以写在application下也可以写在activity下,作为全局或activity内共享的数据 以键值对形式保存 &lt;meta-data android:name=&quot;com.XXX.uuid&quot; android:value=&quot;XXXX&quot; /&gt; 2.data标签是intent-filter的子标签,限定了intent的mimetype &lt;data android:scheme=&quot;file&quot; /&gt; 3.&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02aoyzM.html" rel="bookmark">struts&period;xml文件中package元素的各大属性讲解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Struts2中的包: Struts2使用包来组织Action,将Action放在包下来定义,通过package元素配置一个包,通过package的子元素action来定义一个Action: Struts2框架中核心组件就是Action.拦截器等,Struts2使用包来管理Action和拦截器等.每个包就是多个Action.拦截器引用的集合. package的属性: 1.name: 配置package元素时必须指定name属性,这是引用该包的唯一标识. 2.extends: 可选属性,指定该包继			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWY2Lr3.html" rel="bookmark">Android（三）文件流操作读写</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.将字符串写入文件流中.使用的是getFilesDir().存到手机内存中. File file = new File(getFilesDir() + &quot;/info.txt&quot;); try { OutputStream out = new FileOutputStream(file); out.write(text.getBytes()); out.close(); } catch (Exception e) { // TODO Auto-generated catch block e			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rOwrl4.html" rel="bookmark">Android开发之布局文件中实现OnClick事件关联处理方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一般监听OnClickListener事件,我们都是通过Button button = (Button)findViewById(....); button.setOClickLisener....这样的方式来实现. 这段时间看各大开放平台的demo,发现其实可以在xml中定义好方法名称,在Activity中实现该方法就可以了. &lt;Button android:layout_width=&quot;70dp&quot; android:layout_height=&quot;wrap_content			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Y8oarM.html" rel="bookmark">&lbrack;android&rsqb; init进程 &period;rc文件中service、action的parsing</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				init进程code位置:system/core/init system/core/init/README.md,这个文件是描述rc文件语法的. 以service开头,表示是service:以on开头表示是Action. 对于service行或者on行,调用ParseSection(),在ParseSection中会创建Servcie或者Action对象. 然后处理service或者on行后的行(service或者action的子行).对于每个子行,都会调用ParseLineSection(),			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/BMz9o84.html" rel="bookmark" class="title">NOI2015 程序自动分析</a>
					<div>
						/* 十分简单的题面 离散化一下 然后并茶几一下就OK了 跑的死慢 可能还有更优的方法吧 */ #include&lt;iostream&gt; #include&lt;cstdio&gt; #inc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoYEWl3.html" rel="bookmark" class="title">一段神奇的CSS</a>
					<div>
						1 &lt;!DOCTYPE html&gt; 2 &lt;html&gt; 3 &lt;head&gt; 4 &lt;title&gt;css&lt;/title&gt; 5 &lt;style t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Am1my4.html" rel="bookmark" class="title">mysql写存储过程&sol;PHP写和调用存储过程</a>
					<div>
						PHP调用MYSQL存储过程实例 来源: http://blog.csdn.net/ewing333/article/details/5906887 实例一:无参的存储过程 $conn = mysql ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rEmLb0.html" rel="bookmark" class="title">剑指offer 二叉树的下一个结点</a>
					<div>
						题目描述 给定一个二叉树和其中的一个结点,请找出中序遍历顺序的下一个结点并且返回.注意,树中的结点不仅包含左右子结点,同时包含指向父结点的指针. 思路: 1)如果一个节点有右子树,那么它的下一个结点就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j7kpg3.html" rel="bookmark" class="title">thinkphp-volist2</a>
					<div>
						说明 支持输出查询结果中的部分数据,例如输出其中的第5-15条记录 示例 {volist name=&quot;memberList&quot; id=&quot;member&quot; offse ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lGlYPM.html" rel="bookmark" class="title">一个思维角度的转变助你达成合作</a>
					<div>
						昨天看电视,两个人在争论不休,其实问题很简单,但是我没记得啥东西,只看见他们在吵,吵架的核心就是你对了我错了. 想想平时,我们在项目管理中,面对程序员同事,争得面红耳赤的时候,我们的思路是不是也已经错 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eyZwZ0.html" rel="bookmark" class="title">Linux课程笔记 Apache服务Forbidden 403故障分析</a>
					<div>
						403 Forbidden资源不可用.服务器理解客户的请求,但拒绝处理它.通常由于服务器上文件或目录的权限设置导致. 原因1(重要) apache配置文件中没有对站点目录的权限许可配置,这通常是在初始 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wWyd83.html" rel="bookmark" class="title">上铺的兄弟</a>
					<div>
						奥斯卡最佳真人短片&lt;口吃&gt;的男主人公:一方面在公共社交上,他是一个loser.平时还要假装聋哑人,只是为了遮蔽他口吃的毛病.但在社交网站上,男主应付自如,用文字和图片时时刻刻都能展现自己优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nYkGKM.html" rel="bookmark" class="title">requirejs 定义模块中含有prototype</a>
					<div>
						因为我对requirejs不熟悉,不清楚如何定义带有prototype的模块, 在看了:https://gist.github.com/jonnyreeves/2474026 的demo之后,就明白了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Jy7oA3.html" rel="bookmark" class="title">精彩代码回放：jQuery实现的浏览器类型和版本检测</a>
					<div>
						请使用特定版本的jQuery:jQuery 1.5.1-jQuery 1.8.3,1.9版本以上$.browser被废弃了,如果有问题,请email我 http://www.gbtags.com/gb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mmog6X3.html" rel="bookmark" class="title">window 连接双网</a>
					<div>
						1.route print   查看路由表 2.将原有到路由表删除 route delete 0.0.0.0 3.建立自己到路由表 创建进入默认网络的ip route add -p 0.0.0.0 m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mo5okb3.html" rel="bookmark" class="title">一步步教你搭建TinyOS2&period;1&period;2开发环境</a>
					<div>
						(本教程使用的是VirtualBOX +ubuntu14.04+tinyos2.1.2) note:看了非常多的tinyos的安装教程.区别不是非常大,无非就是安装编译器配置环境等.尽管简单,但还是有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZ5vP3.html" rel="bookmark" class="title">实验一框架选择以及原因说明</a>
					<div>
						我要做的事一个基于web的学生选课系统,我选择的框架式SSH框架. SSH框架介绍:SSH是Spring+Struts+Hibernate的集成框架.Spring的架构基础是基于使用javabean属 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MERy6K0.html" rel="bookmark" class="title">探索HTML5本地存储功能运用技巧&lpar;1&rpar;</a>
					<div>
						通过实例,我们可以加深对HTML5本地存储的理解,并且可以熟练运用. 我们来实现一个简单应用,该应用中用户输入用户名和手机号,相关因袭可以保存到保存到本地,并可以进行查找.展示等基本操作. 以下只给我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Rnm590.html" rel="bookmark" class="title">关于Android定制Launcher</a>
					<div>
						好久没有做Adroid项目开发了,临时需要开发一个APK. 客户要求该APK作为launcher存在,折腾了一些时间,特此记录以免忘了. 按照网络上的要求,添加 &lt;category androi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kNA6pM.html" rel="bookmark" class="title">京东云引擎：免费好用的web应用托管平台</a>
					<div>
						曾经很久以前,想找一个免费的空间部署一个属于自己的技术博客真是太难了,使用过SAE,但是很快就面临收费了,后面也就不了了之了.目前自己又找到一个免费的PAAS平台,可以部署各种语言的web应用,那就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OpZEK4.html" rel="bookmark" class="title">&lpar; &prime;&quest;&quest;&quest;&quest;&omega;&quest;&quest;&quest;&quest;&grave; &rpar;</a>
					<div>
						此页面为WP8&quot;( ′????ω????` ) &quot;应用的发布页面. ( ′????ω????` ) 是一款收集日本颜文字的WP8端应用. 此页面主要记录开发进度.APP发布等情况. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wpBaR4.html" rel="bookmark" class="title">leetcode -day8 Copy List with Random Pointer &amp;amp&semi; Single Number I II</a>
					<div>
						五一中间断了几天,开始继续... 1. ﻿﻿ Copy List with Random Pointer A linked list is given such that each node cont ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xep5B3.html" rel="bookmark" class="title">转 http&colon;&sol;&sol;wenku&period;baidu&period;com&sol;view&sol;cc5e6dd376eeaeaad1f330a6&period;html</a>
					<div>
						windows注册表方面的文章已经有好多,但是其中更多的内容还是很多windows注册表的技巧,很多用户都是&quot;知其然不知其所以然&quot;,而且很多的技巧所涉及的键和键值根本不为人所知的. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qbp194.html" rel="bookmark" class="title">GlobalAlloc&lpar;&rpar;和malloc&lpar;&rpar;、HeapAlloc&lpar;&rpar;</a>
					<div>
						两者都是在堆上分配内存区.  malloc()是C运行库中的动态内存分配函数,WINDOWS程序基本不使用了,因为它比WINDOWS内存分配函数少了一些特性,如,整理内存.  GlobalAlloc( ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
